@extends('layouts.app')
@section('pagetitle', 'Category')
@section('subtitle', 'Products Manage')
@section('page_css')
<link href="{{url('jquery-ui/jquery-ui.css')}}" rel="stylesheet" type="text/css"/>
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ redirect()->back()->getTargetUrl() }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row" style="overflow: hidden;">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            @yield('pagetitle') <small> @yield('subtitle')</small>
                            <span class="tools pull-right">
                                <button class="btn btn-primary btn-sm" id="submit" data-toggle="tooltip" data-placement="top" title="Product Order Update"><i class="fa fa-plus"></i> Update Order</button>
                                <a href="javascript:;" class="fa fa-chevron-down"></a>
                                <a href="javascript:;" class="fa fa-times"></a>
                            </span>
                        </header>
                        <div class="panel-body">
                            <div class="row product-list" id="sortable">
                                @foreach ($products as $product)
                                    <div class="col-md-4" id="{{$product->id}}" style="overflow: hidden;">
                                        <section class="panel">
                                            <div class="pro-img-box">
                                                @if($product->product_images[1]->type == 'hero_image')
                                                <img src="{{ asset('storage/Product-Images/'.$product->product_images[1]->image) }}" style="height: 237px !important;width: auto;"/>
                                                @else
                                                <img src="{{ asset('storage/Product-Images/'.$product->product_images[0]->image) }}" style="height: 237px !important;width: auto;"/>
                                                @endif
                                                <p>{{strlen($product->title) > 30 ? substr($product->title,0,30)."..." : $product->title}}</p>
                                            </div>
                                        </section>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </section>
                </div>
            </div>
@endsection
@section('page_js')
<script type="text/javascript" src="{{url('jquery-ui/jquery-ui.js')}}"></script>
<script>
$(function () {
    $("#sortable").sortable({
        update: function (event, ui) {
            var order = $(this).sortable('serialize');
        }
    })
    $('#submit').on('click', function () {
        var product_array = $("#sortable").sortable("toArray",{
            attribute: "id"
        });
        var cat_id = '{!!$products[0]->category_id!!}';
        var sub_cat_id = '{!!$products[0]->sub_category_id!!}';
        console.log(product_array);
    $.ajax({
                type:'post',
                url:'{!!URL::to('product/manage') !!}',
                data:{
                        'reorder_products':product_array,
                        '_token':'{{ csrf_token() }}',
                        'cat_id':cat_id,
                        'sub_cat_id':sub_cat_id,
                    },
                dataType:'json',
                success:function(data)
                {
                    alert('Product Reorder Successfully');
                    location.reload();
                },
                error:function()
                {

                }
            });
    });
});
</script>
@endsection