@extends('layouts.app')
@section('pagetitle', 'Category')
@section('subtitle', 'Edit')
@section('page_css')
<link href="{{url('assets/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css"/>
<link href="{{url('assets/summernote/dist/summernote.css')}}" rel="stylesheet" type="text/css"/>
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ redirect()->back()->getTargetUrl() }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            @yield('subtitle') <small> @yield('pagetitle')</small>
                        </header>
                        <div class="panel-body">
                            <form method="post" action="{{ url('categories/update/'.$category->id) }}" class="form-horizontal tasi-form" enctype="multipart/form-data">
                                {{ csrf_field() }}
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Category Title</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="title" id="title" value="{{ $category->title }}">
                                        <small class="text-danger">{{ $errors->first('title') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Category Slug</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="slug" id="slug" value="{{ $category->slug }}">
                                        <small class="text-danger">{{ $errors->first('slug') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Category Description</label>
                                    <div class="col-sm-10">
                                        <textarea class="summernote form-control" name="description" id="description">{!! $category->description !!}</textarea>
                                        <small class="text-danger">{{ $errors->first('description') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Category Image</label>
                                    <div class="col-sm-10">
                                        <input type="file" class="form-control" name="image" id="image">
                                        <small class="text-danger">{{ $errors->first('image') }}</small>
                                        @if($category->image)
                                        <img alt="task-thumb" src="{{ asset('storage/Category-Images/'.$category->image)}}" height="50px" width="50px">
                                        @endif
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-success">Update</button>
                            </form>
                        </div>
                    </section><br><br><br><br><br><br><br><br>
                </div>
            </div>
@endsection
@section('page_js')
<script type="text/javascript" src="{{url('assets/select2/js/select2.min.js')}}"></script>
<!--select2-->
<script type="text/javascript">
    $(document).ready(function () {
        $(".js-example-basic-single").select2();

        $(".select2_multiple").select2();
    });
</script>
<!--summernote-->
<script type="text/javascript" src="{{url('assets/summernote/dist/summernote.min.js')}}"></script>
<script>
    jQuery(document).ready(function(){

        $('.summernote').summernote({
            height: 200,                 // set editor height

            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            fontNamesIgnoreCheck: ["Roboto"],
            fontNames: ["Roboto","Arial", "Arial Black", "Comic Sans MS", "Courier New",
                             "Helvetica Neue", "Helvetica", "Impact", "Lucida Grande",
                             "Tahoma", "Times New Roman", "Verdana"],
            focus: true                 // set focus to editable area after initializing summernote
        });
    });
</script>
@endsection