@extends('layouts.app')
@section('pagetitle', 'Press & Exhibition')
@section('subtitle', 'Create New')
@section('page_css')
<link href="{{url('assets/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css"/>
<link href="{{url('assets/summernote/dist/summernote.css')}}" rel="stylesheet" type="text/css"/>
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ redirect()->back()->getTargetUrl() }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            @yield('pagetitle') <small> @yield('subtitle')</small>
                        </header>
                        <div class="panel-body">
                            <form method="post" action="{{ url('exhibition/store') }}" class="form-horizontal tasi-form" enctype="multipart/form-data">
                                {{ csrf_field() }}
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Type</label>
                                    <div class="col-sm-10">
                                        <select class="js-example-basic-single form-control" name="type" id="type" required>
                                            <option value=""></option>
                                            <option value="PRESS">Press</option>
                                            <option value="exhibition">Exhibition</option>
                                        </select>
                                        <small class="text-danger">{{ $errors->first('type') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Title</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="title" id="title" value="{{ old('title')}}">
                                        <small class="text-danger">{{ $errors->first('title') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Description</label>
                                    <div class="col-sm-10">
                                        <textarea class="summernote form-control" name="description" id="description" value="{{ old('description')}}"></textarea>
                                        <small class="text-danger">{{ $errors->first('description') }}</small>
                                    </div>
                                </div>
                                <div class="form-group" id="thumbnail">
                                    <label class="col-sm-2 col-sm-2 control-label">Thumbnail Image</label>
                                    <div class="col-sm-10">
                                        <input type="file" class="form-control" name="thumbnail" id="thumbnail">
                                        <small class="text-danger">{{ $errors->first('thumbnail') }}</small>
                                        <small class="text-danger">Select Press and Exhibitions Thumbnail Image Single Image Note: (Recommended Thumbnail Image size for Exhibitions 1500px * 1000px for Press 1200px * 800px).</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Gallery Images</label>
                                    <div class="col-sm-10">
                                        <input type="file" class="form-control" name="images[]" id="images"  value="{{ old('images')}}" multiple>
                                        <small class="text-danger">{{ $errors->first('images') }}</small>
                                        <small class="text-danger">Select Press and Exhibitions gallery Images "multiple Images" Note: (Recommended gallery Images size for Exhibitions 2800px * 1860px for Press 1250px * 1700px).</small>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-success">Create</button>
                            </form>
                        </div>
                    </section>
                </div>
            </div>
@endsection
@section('page_js')
<script type="text/javascript" src="{{url('assets/select2/js/select2.min.js')}}"></script>
<!--select2-->
<script type="text/javascript">
    $(document).ready(function () {
        $(".js-example-basic-single").select2({
            placeholder: "Select Type of Press or Exhibition"
        });

        $(".select2_multiple").select2();
    });
</script>
<!--summernote-->
<script type="text/javascript" src="{{url('assets/summernote/dist/summernote.min.js')}}"></script>
<script>
    jQuery(document).ready(function(){

        $('.summernote').summernote({
            height: 200,                 // set editor height

            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            fontNamesIgnoreCheck: ["Roboto"],
            fontNames: ["Roboto","Arial", "Arial Black", "Comic Sans MS", "Courier New",
                             "Helvetica Neue", "Helvetica", "Impact", "Lucida Grande",
                             "Tahoma", "Times New Roman", "Verdana"],
            focus: true                 // set focus to editable area after initializing summernote
        });
    });

    // $(document).on('change','#type' ,function() {
    //     if(this.value == 'press')
    //     {
    //         $('#main_image').css('display','block');
    //     }
    //     else
    //     {
    //         $('#main_image').css('display','none');
    //     }
    // });
</script>
@endsection