<?php $__env->startSection('pagetitle', 'User'); ?>
<?php $__env->startSection('subtitle', 'Edit'); ?>
<?php $__env->startSection('page_css'); ?>
<link href="<?php echo e(url('assets/select2/css/select2.min.css')); ?>" rel="stylesheet" type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="<?php echo e(url('/admin-home')); ?>"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="<?php echo e(url('user')); ?>"><?php echo $__env->yieldContent('pagetitle'); ?></a></li>
                    <li class="active"><strong><?php echo $__env->yieldContent('subtitle'); ?></strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            <?php echo $__env->yieldContent('subtitle'); ?> <small> <?php echo $__env->yieldContent('pagetitle'); ?></small>
                        </header>
                        <div class="panel-body">
                            <form method="post" action="<?php echo e(url('user/update/'.$user->id)); ?>" class="form-horizontal tasi-form" enctype="multipart/form-data">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">First Name</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="first_name" id="first_name" value="<?php echo e($user->first_name); ?>">
                                        <small class="text-danger"><?php echo e($errors->first('first_name')); ?></small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Last Name</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="last_name" id="last_name" value="<?php echo e($user->last_name); ?>">
                                        <small class="text-danger"><?php echo e($errors->first('last_name')); ?></small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Email</label>
                                    <div class="col-sm-10">
                                        <input type="email" class="form-control" name="email" id="email" value="<?php echo e($user->email); ?>" required>
                                        <small class="text-danger"><?php echo e($errors->first('email')); ?></small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Role</label>
                                    <div class="col-sm-10">
                                        <select class="js-example-basic-single form-control" name="type" id="type" required>
                                            <option></option>
                                            <option value="admin" <?php if($user->type == 'admin'): ?> selected <?php endif; ?>>Admin</option>
                                        </select>
                                        <small class="text-danger"><?php echo e($errors->first('type')); ?></small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Contact No</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="mobile" id="mobile" value="<?php echo e($user->mobile); ?>" >
                                        <small class="text-danger"><?php echo e($errors->first('mobile')); ?></small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Address</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="address" id="address" value="<?php echo e($user->address); ?>" >
                                        <small class="text-danger"><?php echo e($errors->first('address')); ?></small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Profile Picture</label>
                                    <div class="col-sm-10">
                                        <input type="file" class="form-control" name="picture" id="picture"  value="<?php echo e(old('picture')); ?>" >
                                        <small class="text-danger"><?php echo e($errors->first('picture')); ?></small>
                                        <?php if($user->picture): ?>
                                        <img alt="task-thumb" src="<?php echo e(asset('storage/User-Images/'.$user->picture)); ?>" height="50px" width="50px">
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-success">Update</button>
                            </form>
                        </div>
                    </section><br><br>
                </div>
            </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page_js'); ?>
<script type="text/javascript" src="<?php echo e(url('assets/select2/js/select2.min.js')); ?>"></script>
<!--select2-->
<script type="text/javascript">
    $(document).ready(function () {
        $(".js-example-basic-single").select2({
            placeholder: "Please Select User Role"
        });

        $(".select2_multiple").select2({
            placeholder: "Please Select User Role"
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>